Subject: Re: bug#9891: 24.0.90; Duplicated entry at the info directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Nov 2011 15:54:42 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 02 Nov 2011 15:52:54 -0400
> 
> I added that code because I bumped into different dir entries which used
> slightly different header lines for fundamentally the same purpose.
> E.g. my current /usr/share/info/dir contains:
> 
>    Emacs
>    * Ada mode: (emacs-21/ada-mode).
>                                    The GNU Emacs mode for editing Ada.
>    [...]
>    Emacs editing modes
>    * Ada mode: (emacs-23/ada-mode).
>                                    Emacs mode for editing and compiling Ada code.
>    [...]
>    Emacs network features
>    [...]
>    * TRAMP: (emacs-23/tramp).      Transparent Remote Access, Multiple Protocol 
>                                      Emacs remote file access via rsh and rcp.
>    [...]
>    GNU Emacs
>    * TRAMP: (emacs-22/tramp).      Transparent Remote Access, Multiple Protocol 
>                                      GNU Emacs remote file access via rsh and rcp.

But these all are different entries, they will not (and should not) be
unified into a single entry.  I agree it's unfortunate that, e.g.,
emacs-21/ada-mode and emacs-23/ada-mode will not appear under the same
heading, but it's not too bad to have them under different headings.
They are there and they can be easily found.

By contrast, the current code forcibly _removes_ all the headings we
put on our info/dir, which is shooting ourselves in the foot: we make
_our_ DIR menu worse because _someone_else_ can't get their act
together in _their_ `dir' files.  This sounds backwards to me: if
users don't like the results, let them complain to those who are
responsible for that result, rather than to us.